Skip to main content
POST
https://checkout.dintero.com/v1
/
admin
/
terminals
/
operations
admin_terminals_operations_post
curl --request POST \
  --url https://checkout.dintero.com/v1/admin/terminals/operations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "terminal_id": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "terminal_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": "<string>",
  "account_id": "<string>",
  "parameters": {
    "operator_id": "<string>"
  },
  "result": {
    "batch_id": "<string>",
    "start_of_day_at": "2023-11-07T05:31:56Z",
    "last_end_of_day_at": "2023-11-07T05:31:56Z",
    "purchases_count": 123,
    "purchases_amount": 123,
    "reversals_count": 123,
    "reversals_amount": 123,
    "sale_amount": 123,
    "tip_amount": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Headers

Idempotency-Key
string<uuid>

Optional idempotency key to ensure the operation is only executed once.

Body

application/json
terminal_id
string
required

Terminal identifier

operation
enum<string>
required
Available options:
end_of_day,
send_logs,
check_update
parameters
object

Response

Terminal operation created

Terminal operation. The shape depends on the operation field.

id
string<uuid>
required

Unique identifier for the terminal operation.

terminal_id
string
required

Identifier of the terminal the operation was sent to.

operation
enum<string>
required
Available options:
end_of_day,
send_logs,
check_update
status
enum<string>
required

Status of the terminal operation.

  • PENDING: Operation has been dispatched to the terminal and is awaiting a response.
  • COMPLETED: Terminal has responded and the operation finished successfully.
  • FAILED: Terminal responded but reported a failure.
  • TIMEOUT: No response was received from the terminal within the timeout window. A new operation can be dispatched.
Available options:
PENDING,
COMPLETED,
FAILED,
TIMEOUT
created_at
string<date-time>
required

When the operation was created.

created_by
string
required

Identity of the user or system that created the operation.

updated_at
string<date-time>
required

When the operation was last updated.

updated_by
string
required

Identity of the user or system that last updated the operation.

account_id
string

Account identifier the operation belongs to.

parameters
object

Parameters of the operation.

result
object

Present when status is COMPLETED.

Last modified on June 18, 2026